#ifndef _FT_NM_H
# define _FT_NM_H

# include <unistd.h>
# include <sys/mman.h>
# include <fcntl.h>
# include <elf.h>
# include <stdio.h>

# include "libft.h"

# define FT_NM_SUCCESS 0
# define FT_NM_FAILURE -1

void ft_nm_error(const char *path);
int check_header(Elf64_Ehdr *header);
int check_ident(unsigned char ident[EI_NIDENT]);

#endif

